org.apache.lucene.search.similarities

## Class BasicModelG

- java.lang.Object
- - org.apache.lucene.search.similarities.BasicModel
  - - org.apache.lucene.search.similarities.BasicModelG

-     public class BasicModelG
      extends BasicModel

  Geometric as limiting form of the Bose-Einstein model. The formula used in Lucene differs slightly from the one in the original paper: `F` is increased by `1` and `N` is increased by `F`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicModelG()` Sole constructor: parameter-free

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Explanation` | `explain(BasicStats stats, double tfn, double aeTimes1pTfn)` Returns an explanation for the score.
    `double` | `score(BasicStats stats, double tfn, double aeTimes1pTfn)` Returns the informative content score combined with the after effect, more specifically `informationContentScore * aeTimes1pTfn / (1 + tfn)`.
    `String` | `toString()` Subclasses must override this method to return the code of the basic model formula.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicModelG

          public BasicModelG()

      Sole constructor: parameter-free

  - ### Method Detail

    - #### score

          public final double score(BasicStats stats,
                                    double tfn,
                                    double aeTimes1pTfn)

      Description copied from class: `BasicModel`
      Returns the informative content score combined with the after effect, more specifically `informationContentScore * aeTimes1pTfn / (1 + tfn)`. This function must be non-decreasing with `tfn`.
      Specified by:
        `score` in class `BasicModel`

    - #### explain

          public Explanation explain(BasicStats stats,
                                     double tfn,
                                     double aeTimes1pTfn)

      Description copied from class: `BasicModel`
      Returns an explanation for the score. Subclasses must override this method.
      Specified by:
        `explain` in class `BasicModel`

    - #### toString

          public String toString()

      Description copied from class: `BasicModel`
      Subclasses must override this method to return the code of the basic model formula. Refer to the original paper for the list.
      Specified by:
        `toString` in class `BasicModel`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.